"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = require("../models/base.model");
const index_1 = require("../index");
const configuration_1 = require("./configuration");
/**
 * Create a model
 */
class Person extends base_model_1.default {
    constructor(name) {
        super();
        Object.assign(this, { name });
    }
}
/**
 * Create a class
 */
class PersonService extends index_1.FireRepository {
    constructor() {
        super(configuration_1.firebaseConfiguration, configuration_1.collection);
    }
}
/**
 * Usage
 */
const service = new PersonService();
service
    .getAll({
    key: "name",
    criteria: "John Doe",
})
    .then((x) => {
    console.log(x);
})
    .catch((e) => {
    console.log(e);
});
