"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toEntityArray = exports.getFormateadFirebaseData = void 0;
const firestore_1 = require("firebase/firestore");
/**
 * format all properties timestamp firebase to DateJs
 * @author Orbis Alonzo Gutierrez
 * @param data any
 * @returns T Object
 */
const getFormateadFirebaseData = (data) => {
    //get the keys
    const keys = Object.keys(data);
    //get the values
    const values = Object.values(data);
    //loop for keys and set data
    values.forEach((value, index) => {
        if (value instanceof firestore_1.Timestamp) {
            // format date
            const time = data[keys[index]];
            const timeStamp = new firestore_1.Timestamp(time.seconds, time.nanoseconds);
            data[keys[index]] = timeStamp.toDate();
        }
    });
    return data;
};
exports.getFormateadFirebaseData = getFormateadFirebaseData;
/**
 * Return the entity class array from array firebase data
 * @param docs Array docs results firebase
 * @author Orbis Alonzo Gutierrez
 * @returns
 */
const toEntityArray = (docs) => {
    //result is a object collection
    const results = [];
    //docs is a firebase collection
    docs.forEach((doc) => {
        let data = doc.data();
        results.push((0, exports.getFormateadFirebaseData)(data));
    });
    return results;
};
exports.toEntityArray = toEntityArray;
