"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../../helpers");
jest.mock("../../helpers");
describe("fileUpload", () => {
    test("upload file success", () => __awaiter(void 0, void 0, void 0, function* () {
        const mockedDependency = helpers_1.fileUpload;
        const file = { name: "test.png", size: 10, type: "Blob" };
        const value = new Promise((resolve) => {
            return resolve("firebase.app.url/" + file.name);
        });
        const mockFunction = mockedDependency.mockReturnValueOnce(value);
        const result = yield mockFunction({}, file, "test");
        expect(result).toBe("firebase.app.url/" + file.name);
    }));
    test("remove file success", () => __awaiter(void 0, void 0, void 0, function* () {
        const mockedDependency = helpers_1.removeFile;
        const url = "firebase.app.url/test.png";
        const value = new Promise((resolve) => {
            return resolve();
        });
        const mockFunction = mockedDependency.mockReturnValueOnce(value);
        mockFunction({}, url)
            .then(() => {
            expect(true).toBe(true);
        })
            .catch(() => {
            expect(false).toBe(true);
        });
    }));
});
