"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const firestore_1 = require("firebase/firestore");
const base_model_1 = require("../../models/base.model");
const fire_mapping_helper_1 = require("../../helpers/fire-mapping.helper");
describe("toEntityArray", () => {
    test("convert to typed array correct with returns", () => {
        class TestClass extends base_model_1.default {
        }
        const docD = {
            name: "test",
            id: "2",
        };
        const docs = [];
        docs.push({
            data: () => docD,
            id: "1",
            ref: {},
            exists: () => true,
            get: () => docD,
            metadata: {},
        });
        expect((0, fire_mapping_helper_1.toEntityArray)(docs).length).toBe(1);
    });
    test("verify the structure", () => {
        class TestClass extends base_model_1.default {
        }
        const docD = {
            name: "test",
            id: "2",
        };
        const docs = [];
        docs.push({
            data: () => docD,
            id: "1",
            ref: {},
            exists: () => true,
            get: () => docD,
            metadata: {},
        });
        const results = (0, fire_mapping_helper_1.toEntityArray)(docs);
        expect(results[0].name).toBe(docD.name);
        expect(results[0].id).toBe(docD.id);
    });
});
describe("getFormateadFirebaseData", () => {
    test("format timestamp firebase to js date", () => {
        const data = {
            date: new firestore_1.Timestamp(firestore_1.Timestamp.now().seconds, 0),
            id: "1",
        };
        var result = (0, fire_mapping_helper_1.getFormateadFirebaseData)(data);
        expect(result.date instanceof Date).toBe(true);
    });
});
